Subject: Re: bug#13202: Make Microsoft Visual C recognize the .S file extension

From: Peter Rosin <[email-masked]>
Date: Mon, 17 Dec 2012 12:34:02 +0100

Hi Jan,

Please keep replies on list.

On 2012-12-17 11:28, Rheinländer wrote:
> Hello Peter,
> 
>> However, I can't get assembly to actually work with -Tc or -TC (see
>> below), so what am I doing wrong?
>>
> 
> OK, I looked a bit more deeply in it and discovered that my .S file is
> actually a C file wrapper for an assembly include... The files are from
> the CLN library, I attached them.
> 
> My real problem is not to compile the assembly code (I have set
> -DNO_ASM anyway) but that the MSVC make breaks on the .S extension.
> Though looking at it again maybe I should suggest instead to the CLN
> folks to rename their file to .cc since it is a C file anyway.

Ok, except it isn't really a C file. It's assembly intended to be
preprocessed by the C preprocessor (as is indicated by the .S extension).
I think the preprocessor will reduce the source to very little in case
NO_ASM is defined (but you didn't attach enough files for me to tell
for sure).

I therefore think the 'compile' script I referred to earlier may
handle your case; it will preprocess the .S file and feed the remaining
few bits to ml which in turn will do nothing, hopefully. But maybe ml
will miss an END directive? Or something? Untested...

Cheers,
Peter